Bug 738380 - asix kernel driver loads but doesn't seem to work
Summary: asix kernel driver loads but doesn't seem to work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 16:32 UTC by smuskiew
Modified: 2012-06-06 19:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 19:31:05 UTC


Attachments (Terms of Use)

Description smuskiew 2011-09-14 16:32:32 UTC
Description of problem: I have an Asix AX88178-based USB NIC.  With the latest Fedora 15 x86_64 kernel (2.6.40.4-5.fc15.x86_64) when the device is plugged in, the asix kernel driver loads properly and I can configure it as eth0.  However nothing works when I try to use the interface (cannot ping any hosts on the configured network).

If I download, build, and install the Linux kernel driver from the vendor's site (http://www.asix.com.tw/products.php?op=pItemdetail&PItemID=84;71;100&PLine=71), everything works properly. (ping, ssh, etc.)

Version-Release number of selected component (if applicable): kernel 2.6.40.4-5.fc15.x86_64


How reproducible: Every time


Steps to Reproduce:
1. Plug in USB NIC
2. Configure network interface (in my case, eth0)
3. Try to ping a known host on the configured network.
  
Actual results: ping doesn't work, no errors in the console, syslog, or dmesg output.


Expected results: ping (and all other network operations) should work for the configured network.


Additional info: As I mentioned, there doesn't appear to be any logging/error output in any of the usual places to indicate there is a problem with the Fedora kernel asix driver.

I'm not exactly sure how to tell the version of the Fedora driver.  Here's the modinfo dump of the Fedora driver.

[root@libadmin usb]# modinfo asix.ko.OLD 
filename:       asix.ko.OLD
license:        GPL
description:    ASIX AX8817X based USB 2.0 Ethernet Devices
author:         David Hollis
srcversion:     9C8B9C29B45DE5A6E9EF13C
alias:          usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*
depends:        usbnet,mii
vermagic:       2.6.40.4-5.fc15.x86_64 SMP mod_unload 

And here's the output from the (working) driver from the ASIX website:

[root@libadmin usb]# modinfo asix.ko
filename:       asix.ko
license:        GPL
description:    ASIX AX8817X based USB 2.0 Ethernet Devices
author:         David Hollis
srcversion:     7FECB08C4F263669ED35E28
alias:          usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0421p772Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v125Ep180Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*
alias:          usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*
depends:        mii
vermagic:       2.6.40.4-5.fc15.x86_64 SMP mod_unload 
parm:           msg_level:Override default message level (int)
parm:           bsize:Maximum transfer size per bulk (int)

The working driver from the Asix download page that I used is the "Linux kernel 2.6.38" link, which shows as revision 4.1.0, release date 2011-03-15.

Not sure if this is/was related but there was an old Bugzilla ticket (https://bugzilla.redhat.com/show_bug.cgi?id=228676) that I found for the asix driver not working in kernel 2.6.19 but it was closed for insufficient info.  Also a couple hits from Google on mailing lists for similar comments but no resolutions to anything.

Let me know if there is anything else I can do to debug/test or if there is additional info I need to provide.

thanks!
-steve

Comment 1 Josh Boyer 2011-10-14 17:59:35 UTC
Did this work with a 2.6.38.X F15 kernel, or any other previous kernel you have tested, or has this always not worked without the vendor driver?

Comment 2 smuskiew 2011-10-14 18:08:45 UTC
Unfortunately I don't know and can't really test, I only recently added the device  to my server and by that point the Fedora install was already updated to kernel 2.6.40.X

The only older kernels still installed are all at least 2.6.40 so I can't really boot to an older one to test.

Comment 3 Josh Boyer 2011-11-29 20:12:34 UTC
There has been a renewed interest in this driver upstream.  However, most of those changes aren't going to show up until the 3.2 kernel (or later).

If you are willing to try a rawhide kernel, the 3.2-rc3 kernel should contain most of the changes that have been submitted so far.

Comment 4 Josh Boyer 2012-06-06 19:31:05 UTC
There were a number of changes that landed in 2.6.42 and later kernels.  This should be fixed with the 2.6.43 kernel update.  If you're still seeing this with 2.6.43/3.3, please open a bug against F16.


Note You need to log in before you can comment on or make changes to this bug.